e(fx)clipse

Add this URL to your Eclipse Installation to reach this Solution's Update Site.

Mars (4.5)

Learn more...

Details Group Tabs

DaveLaw Mising name's picture

I used the above "Install" button to install e(fx)clipse.
Afterwards, tried the Sample e4 Media Application.
It does not build. The following Bundles are missing:
Bundle 'org.eclipse.fx.core.databinding' cannot be resolved
Bundle 'org.eclipse.fx.ui.databinding' cannot be resolved
Bundle 'org.eclipse.fx.ui.di' cannot be resolved
Bundle 'org.eclipse.fx.ui.services' cannot be resolved
Bundle 'org.eclipse.fx.ui.theme' cannot be resolved
Bundle 'org.eclipse.fx.ui.workbench.fx' cannot be resolved

Thomas Schindl's picture

The reason is that you installed the tooling Eclipse 4 applications require a target platform to be set. We can not simply install our runtime platform into your IDE because it would be broken miserably. So please setup a target platform as outlined in all tutorials